Get Company Schedule Performance Index Trend

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SmartPM Public API MCP server": {
  "url": "https://developers.smartpm.com/mcp"
}
Close
GET /public/v1/company-trends/spi

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Query parameters

  • periodType string Required

    Values are BY_PERIOD or BY_MONTH.

  • filters array[string]
  • projectMetricFilter string

    Values are PROJECTS_DELAYED, PROJECTS_ON_TRACK, PROJECTS_NEEDING_UPDATES, or PROJECTS_LOW_QUALITY.

Responses

  • 500 */*

    Internal Server Error

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • companyId string
    • periodType string

      Values are BY_PERIOD or BY_MONTH.

    • periodLabel string
    • spi number(double)
GET /public/v1/company-trends/spi
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/company-trends/spi?periodType=BY_PERIOD' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (500)
{}
Response examples (200)
[
  {
    "companyId": "string",
    "periodType": "BY_PERIOD",
    "periodLabel": "string",
    "spi": 42.0
  }
]